Bug 1545401 - [RFE][S-3] Report admin role for reporting access
Summary: [RFE][S-3] Report admin role for reporting access
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Keenan Brock
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2018-02-14 20:36 UTC by Brant Evans
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Adding a Filter to a Chargeback report with the Evmrole-administrator (39.31 KB, image/png)
2018-02-14 20:38 UTC, Brant Evans
no flags Details
Adding a Filter to a Chargeback report with a Custom-administrator role (37.52 KB, image/png)
2018-02-14 20:38 UTC, Brant Evans
no flags Details
screen shot of chargeback report editor(verified by QE) (162.42 KB, image/png)
2018-07-16 18:58 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Brant Evans 2018-02-14 20:36:19 UTC
Description of problem:
Users whose group is not using the Evmrole-administrator or Evmrole-super_administrator role are not able to select what to show the costs by. The "Show Costs by" field is changed to "Owner" and is hard-coded to the users name.

This happens even when the Evmrole-administrator or Evmrole-super_administrator role is copied to another role (e.g. Custom-administrator).


Version-Release number of selected component (if applicable):
5.8.2.3

How reproducible:
Always

Steps to Reproduce:
1. Create a group that has a role other than Evmrole-administrator or or Evmrole-super_administrator
2. Login as a user belonging to the group created in step 1
3. Navigate to Cloud Intel -> Reports / Reports
4. Click Configuration -> Add a new Report
5. Choose "Chargeback for Projects" in the Base the report on drop-down
6. Add a field from the Available Fields to the Selected Fields
7. Click the Filter tab

Actual results:
The Chargeback Filters section only shows Owner and the logged in users name (see attached screenshot report_filter_with_non-admin_role.png)

Expected results:
User sees the Show Costs by and is able to select the Project(s) and/or Tag(s) to use for the report (see attached screenshot report_filter_with_admin_role.png)

Additional info:

Comment 2 Brant Evans 2018-02-14 20:38:24 UTC
Created attachment 1396123 [details]
Adding a Filter to a Chargeback report with the Evmrole-administrator

Comment 3 Brant Evans 2018-02-14 20:38:54 UTC
Created attachment 1396124 [details]
Adding a Filter to a Chargeback report with a Custom-administrator role

Comment 4 Keenan Brock 2018-06-11 18:08:57 UTC
This is part of the solution to 1090627
The administrator role now has more granular control with separate report and request features

Comment 5 Nandini Chandra 2018-07-16 18:58:04 UTC
Created attachment 1459249 [details]
screen shot of chargeback report editor(verified by QE)

Comment 6 Nandini Chandra 2018-07-16 22:15:59 UTC
verified in 5.10.0.4

Comment 7 Nandini Chandra 2018-07-16 22:19:01 UTC
1.Copied Evmrole-administrator to a custom role, custom_role
2. Create a group that has the custom_role role.
3. Login as a user belonging to the group created in step 2
4. Navigate to Cloud Intel -> Reports / Reports
5. Click Configuration -> Add a new Report
6. Choose "Chargeback for Projects" in the Base the report on drop-down
7. Add a field from the Available Fields to the Selected Fields
8. Click the Filter tab

Verified that the user sees the 'Show Costs by' dropdown and is able to select the Project(s) and/or Tag(s) to use for the report

Comment 8 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.